#ifndef _QSHEFF_DEFS_H
#define _QSHEFF_DEFS_H

enum { STDIN, STDOUT, STDERR };

#define PROGNAME "qSheff"
#define BIGBUFSIZE 1024
#define MIDBUFSIZE 512
#define SMALLBUFSIZE 256
#define TINYBUFSIZE 128

typedef struct rulelist rulelist;
struct rulelist {
	int             attr;
	char            ruleline[TINYBUFSIZE];
	rulelist        *next;
};

rulelist	*rule_sp;

char		sfe_spamword[SMALLBUFSIZE];
char		sfe_ruleline[SMALLBUFSIZE];

char		attach_list[TINYBUFSIZE][TINYBUFSIZE];

typedef struct wordlist wordlist;

struct wordlist {
    char word[64];
    wordlist *next;
};


#endif

