#ifndef LOADCONFIG_H
#define LOADCONFIG_H

#include "defs.h"

char WORKDIRPREFIX[TINYBUFSIZE];
char TEMPDIRPREFIX[TINYBUFSIZE];
char LOGFILE[BIGBUFSIZE];
int debug_level;
int paronia_level;
int drop_empty_to;
char forbidden_header_lines[BIGBUFSIZE];
int enable_blackhole;
int enable_quarantine;
int enable_save_all;
int enable_wblist;
int enable_subject_filter;
int enable_body_filter;
int enable_attach_filter;
int enable_virus_prog;
int enable_filter_prog;
char MIME_PROG[BIGBUFSIZE];
int MIME_PROG_OK_RET;
int MIME_PROG_ERR_RET;
char VIRUS_PROG[BIGBUFSIZE];
int VIRUS_PROG_OK_RET;
int VIRUS_PROG_VIRUS_RET;
int VIRUS_PROG_ERR_RET;
char FILTER_PROG[BIGBUFSIZE];
int FILTER_PROG_OK_RET;
int FILTER_PROG_VIRUS_RET;
int FILTER_PROG_ERR_RET;
char QUEUE_PROG[BIGBUFSIZE];

void loadconfig(char *);

#endif
