/*
 * Copyright (C) 2005 Baris Simsek, <simsek@enderunix.org>
 *                        http://www.enderunix.org/simsek/
 *
 * sfe filtering engine
 *
 * This program is free software; you can redistribute it and/or modify
 * it only as long as you attach these notices to your code!
 *
 */


#ifndef _SHEFF_SCANENGINE_H
#define _SHEFF_SCANENGINE_H

#define ENGINE_VERSION "0.2.1"

#define FILTER_FILE "/usr/local/etc/sheff/scanengine.rules"
#define ATTACH_FILE "/usr/local/etc/sheff/attach.filter"

int subj_filter(char *input);
int body_filter(char *path);
int attach_filter();
int is_there(char *input, char *ruleword);
char *get_ruleword(char *line);
int search_in_list(wordlist *listp, char *ruleword);
char *strip_ruleline(char *ruleline);
char *strip_line(char *line);


#endif
